RepositoriesConfiguration (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven.aether.config

## [Groovy] Class RepositoriesConfiguration

- org.codehaus.groovy.grails.resolve.maven.aether.config.RepositoriesConfiguration

- Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `AetherDependencyManager` | `aetherDependencyManager`
    `java.util.List<org.eclipse.aether.repository.RemoteRepository>` | `repositories`
    `org.eclipse.aether.DefaultRepositorySystemSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RepositoriesConfiguration (AetherDependencyManager dependencyManager, org.eclipse.aether.DefaultRepositorySystemSession session)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `configureRepository(org.eclipse.aether.repository.RemoteRepository$Builder repositoryBuilder, groovy.lang.Closure configurer)`
    `java.lang.Object` | `environments(groovy.lang.Closure callable)` Environment support
    `org.eclipse.aether.repository.RemoteRepository` | `grailsCentral(groovy.lang.Closure configurer = null)`
    `void` | `grailsHome()`
    `void` | `grailsPlugins()`
    `void` | `grailsRepo(java.lang.String location)`
    `void` | `inherit(boolean inheritRepositories)` See inherits(boolean)
    `void` | `inherits(boolean inheritRepositories)` Whether repository definitions are inherited from plugins
    `org.eclipse.aether.repository.RemoteRepository` | `jcenter(groovy.lang.Closure configurer = null)`
    `org.eclipse.aether.repository.RemoteRepository` | `mavenCentral(groovy.lang.Closure configurer = null)`
    `void` | `mavenLocal()`
    `void` | `mavenLocal(java.lang.String location)`
    `org.eclipse.aether.repository.RemoteRepository` | `mavenRepo(java.lang.String url, groovy.lang.Closure configurer = null)`
    `org.eclipse.aether.repository.RemoteRepository` | `mavenRepo(java.util.Map<java.lang.String, java.lang.String> properties, groovy.lang.Closure configurer = null)`
    `protected org.eclipse.aether.repository.RemoteRepository` | `reconfigureExisting(org.eclipse.aether.repository.RemoteRepository existing, groovy.lang.Closure configurer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### AetherDependencyManager aetherDependencyManager

    - #### java.util.List<org.eclipse.aether.repository.RemoteRepository> repositories

    - #### @groovy.lang.Delegate org.eclipse.aether.DefaultRepositorySystemSession session

  - ### Constructor Detail

    - #### RepositoriesConfiguration(AetherDependencyManager dependencyManager, org.eclipse.aether.DefaultRepositorySystemSession session)

  - ### Method Detail

    - #### protected void configureRepository(org.eclipse.aether.repository.RemoteRepository$Builder repositoryBuilder, groovy.lang.Closure configurer)

    - #### java.lang.Object environments(groovy.lang.Closure callable)

      Environment support

      Parameters:
        `callable` - The callable
      Returns:
        The result of the environments block

    - #### org.eclipse.aether.repository.RemoteRepository grailsCentral(@groovy.lang.DelegatesTo(RepositoryConfiguration) groovy.lang.Closure configurer = null)

    - #### void grailsHome()

    - #### void grailsPlugins()

    - #### void grailsRepo(java.lang.String location)

    - #### @java.lang.Deprecated void inherit(boolean inheritRepositories)

      See inherits(boolean)

    - #### @java.lang.Deprecated void inherits(boolean inheritRepositories)

      Whether repository definitions are inherited from plugins

      Parameters:
        `inheritRepositories` - True if repositories should be inherited from plugins

    - #### org.eclipse.aether.repository.RemoteRepository jcenter(@groovy.lang.DelegatesTo(RepositoryConfiguration) groovy.lang.Closure configurer = null)

    - #### org.eclipse.aether.repository.RemoteRepository mavenCentral(@groovy.lang.DelegatesTo(RepositoryConfiguration) groovy.lang.Closure configurer = null)

    - #### void mavenLocal()

    - #### void mavenLocal(java.lang.String location)

    - #### org.eclipse.aether.repository.RemoteRepository mavenRepo(java.lang.String url, @groovy.lang.DelegatesTo(RepositoryConfiguration) groovy.lang.Closure configurer = null)

    - #### org.eclipse.aether.repository.RemoteRepository mavenRepo(java.util.Map<java.lang.String, java.lang.String> properties, @groovy.lang.DelegatesTo(RepositoryConfiguration) groovy.lang.Closure configurer = null)

    - #### protected org.eclipse.aether.repository.RemoteRepository reconfigureExisting(org.eclipse.aether.repository.RemoteRepository existing, groovy.lang.Closure configurer)